Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.impl.metadata.cpe
Class CpeDescriptorFactory

    java.lang.Object
      org.apache.uima.collection.impl.metadata.cpe.CpeDescriptorFactory

    public class CpeDescriptorFactory

extends Object

Factory class for creating CpeDescriptors and their constituent objects.

Constructor Summary
`CpeDescriptorFactory()`

Method Summary
`static CpeIntegratedCasProcessor` | `produceCasProcessor(String aName)`
`static CasProcessorConfigurationParameterSettings` | `produceCasProcessorConfigurationParameterSettings()`
`static CasProcessorDeploymentParams` | `produceCasProcessorDeploymentParams()`
`static CasProcessorErrorHandling` | `produceCasProcessorErrorHandling()`
`static CasProcessorErrorRateThreshold` | `produceCasProcessorErrorRateThreshold()`
`static CasProcessorExecArg` | `produceCasProcessorExecArg()`
`static CasProcessorExecutable` | `produceCasProcessorExecutable()`
`static CasProcessorFilter` | `produceCasProcessorFilter(String aFilter)`
`static CasProcessorMaxRestarts` | `produceCasProcessorMaxRestarts()`
`static CpeCasProcessors` | `produceCasProcessors()`
`static CpeCasProcessors` | `produceCasProcessors(CpeDescription aDescriptor)`
`static CpeCasProcessors` | `produceCasProcessors(int aInputQSize, int aOutputQSize, int aPuCount, CpeDescription aDescriptor)`
`static CasProcessorTimeout` | `produceCasProcessorTimeout()`
`static CpeCollectionReader` | `produceCollectionReader()`
`static CpeCollectionReader` | `produceCollectionReader(String aCollectionReaderDescriptorPath)`
`static CpeCollectionReader` | `produceCollectionReader(String aCollectionReaderDescriptorPath, CpeDescription aDescriptor)`
`protected static CpeCollectionReaderCasInitializer` | `produceCollectionReaderCasInitializer(String aInitializerDescriptorPath)` Deprecated. As of v2.0, CAS Initializers are deprecated.
`static CpeCollectionReaderCasInitializer` | `produceCollectionReaderCasInitializer(String aPath, CpeDescription aDescriptor)` Deprecated. As of v2.0, CAS Initializers are deprecated.
`static CpeCollectionReaderIterator` | `produceCollectionReaderIterator(String aPath)`
`static CpeComponentDescriptor` | `produceComponentDescriptor(String aPath)`
`static CpeInclude` | `produceComponentDescriptorInclude()`
`static CpeCheckpoint` | `produceCpeCheckpoint()`
`static CpeConfiguration` | `produceCpeConfiguration()`
`static CpeConfiguration` | `produceCpeConfiguration(CpeDescription aDescriptor)`
`static CpeTimer` | `produceCpeTimer(String aTimerClass)`
`static CasProcessorDeploymentParam` | `produceDeployParam()`
`static CasProcessorDeploymentParams` | `produceDeployParams()`
`static CpeDescription` | `produceDescriptor()` Produce a new CpeDescription from scratch.
`static CpeDescription` | `produceDescriptor(InputStream aInput)` Parse a CpeDescription from a given input stream.
`static CpeDescription` | `produceDescriptor(XMLInputSource aInput)` Parse a CpeDescription from a descriptor file.
`static CpeLocalCasProcessor` | `produceLocalCasProcessor(String aName, String aSoFa)`
`static NameValuePair` | `produceNameValuePair()`
`static CpeRemoteCasProcessor` | `produceRemoteCasProcessor(String aName)`
`static CpeResourceManagerConfiguration` | `produceResourceManagerConfiguration(String aResourceMgrConfigurationPath)`
`static CpeResourceManagerConfiguration` | `produceResourceManagerConfiguration(String aResourceMgrConfigurationPath, CpeDescription aDescriptor)`
`static CasProcessorRunInSeperateProcess` | `produceRunInSeperateProcess()`
`static CasProcessorRuntimeEnvParam` | `produceRuntimeEnvParam()`
`static CpeSofaMapping` | `produceSofaMapping()`
`static CpeSofaMappings` | `produceSofaMappings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CpeDescriptorFactory

    public CpeDescriptorFactory()

Method Detail

### produceDescriptor

    public static CpeDescription produceDescriptor()

  Produce a new CpeDescription from scratch. This CpeDescription will contain no components and will have default settings.

  Returns:
    An empty CpeDescription object with default settings

### produceDescriptor

    public static CpeDescription produceDescriptor(XMLInputSource aInput)
                                            throws InvalidXMLException

  Parse a CpeDescription from a descriptor file.

  Parameters:
    `aInput` - identifies the input file
  Returns:
    The CpeDescription object parsed from the input
  Throws:
    `InvalidXMLException` - if the descriptor is invalid

### produceDescriptor

    public static CpeDescription produceDescriptor(InputStream aInput)
                                            throws InvalidXMLException

  Parse a CpeDescription from a given input stream.

  Parameters:
    `aInput` - identifies the input stream
  Returns:
    The CpeDescription object parsed from the input
  Throws:
    `InvalidXMLException` - if the descriptor is invalid

### produceCollectionReader

    public static CpeCollectionReader produceCollectionReader(String aCollectionReaderDescriptorPath,
                                                              CpeDescription aDescriptor)
                                                       throws CpeDescriptorException

  Parameters:
    `aCollectionReaderDescriptorPath` -
    `aDescriptor` -
  Throws:
    `CpeDescriptorException`

### produceCollectionReader

    public static CpeCollectionReader produceCollectionReader(String aCollectionReaderDescriptorPath)
                                                       throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceCollectionReader

    public static CpeCollectionReader produceCollectionReader()
                                                       throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceCollectionReaderIterator

    public static CpeCollectionReaderIterator produceCollectionReaderIterator(String aPath)
                                                                       throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceCollectionReaderCasInitializer

    public static CpeCollectionReaderCasInitializer produceCollectionReaderCasInitializer(String aPath,
                                                                                          CpeDescription aDescriptor)
                                                                                   throws CpeDescriptorException

  Deprecated. As of v2.0, CAS Initializers are deprecated.

  Parameters:
    `aInitializerDescriptorPath` -
    `aDescriptor` -
  Throws:
    `CpeDescriptorException`

### produceCollectionReaderCasInitializer

    protected static CpeCollectionReaderCasInitializer produceCollectionReaderCasInitializer(String aInitializerDescriptorPath)

  Deprecated. As of v2.0, CAS Initializers are deprecated.

  Parameters:
    `aInitializerDescriptorPath` -

### produceComponentDescriptor

    public static CpeComponentDescriptor produceComponentDescriptor(String aPath)

  Parameters:
    `aDescriptorPath` -

### produceCpeConfiguration

    public static CpeConfiguration produceCpeConfiguration(CpeDescription aDescriptor)
                                                    throws CpeDescriptorException

  Parameters:
    `aDescriptor` -
  Throws:
    `CpeDescriptorException`

### produceCpeConfiguration

    public static CpeConfiguration produceCpeConfiguration()
                                                    throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceRuntimeEnvParam

    public static CasProcessorRuntimeEnvParam produceRuntimeEnvParam()

### produceDeployParams

    public static CasProcessorDeploymentParams produceDeployParams()

### produceDeployParam

    public static CasProcessorDeploymentParam produceDeployParam()

### produceComponentDescriptorInclude

    public static CpeInclude produceComponentDescriptorInclude()

### produceCasProcessors

    public static CpeCasProcessors produceCasProcessors(CpeDescription aDescriptor)
                                                 throws CpeDescriptorException

  Parameters:
    `aDescriptor` -
  Throws:
    `CpeDescriptorException`

### produceCasProcessors

    public static CpeCasProcessors produceCasProcessors()
                                                 throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceCasProcessors

    public static CpeCasProcessors produceCasProcessors(int aInputQSize,
                                                        int aOutputQSize,
                                                        int aPuCount,
                                                        CpeDescription aDescriptor)
                                                 throws CpeDescriptorException

  Parameters:
    `aInputQSize` -
    `aOutputQSize` -
    `aPuCount` -
    `aDescriptor` -
  Throws:
    `CpeDescriptorException`

### produceCasProcessor

    public static CpeIntegratedCasProcessor produceCasProcessor(String aName)

### produceLocalCasProcessor

    public static CpeLocalCasProcessor produceLocalCasProcessor(String aName,
                                                                String aSoFa)
                                                         throws CpeDescriptorException

  Parameters:
    `aName` -
    `aSoFa` -
  Throws:
    `CpeDescriptorException`

### produceRemoteCasProcessor

    public static CpeRemoteCasProcessor produceRemoteCasProcessor(String aName)
                                                           throws CpeDescriptorException

  Parameters:
    `aName` -
  Throws:
    `CpeDescriptorException`

### produceCpeTimer

    public static CpeTimer produceCpeTimer(String aTimerClass)

### produceResourceManagerConfiguration

    public static CpeResourceManagerConfiguration produceResourceManagerConfiguration(String aResourceMgrConfigurationPath,
                                                                                      CpeDescription aDescriptor)
                                                                               throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceResourceManagerConfiguration

    public static CpeResourceManagerConfiguration produceResourceManagerConfiguration(String aResourceMgrConfigurationPath)
                                                                               throws CpeDescriptorException

  Throws:
    `CpeDescriptorException`

### produceCasProcessorTimeout

    public static CasProcessorTimeout produceCasProcessorTimeout()

### produceCasProcessorMaxRestarts

    public static CasProcessorMaxRestarts produceCasProcessorMaxRestarts()

### produceCasProcessorErrorRateThreshold

    public static CasProcessorErrorRateThreshold produceCasProcessorErrorRateThreshold()

### produceCasProcessorFilter

    public static CasProcessorFilter produceCasProcessorFilter(String aFilter)

  Parameters:
    `aFilter` -

### produceCasProcessorErrorHandling

    public static CasProcessorErrorHandling produceCasProcessorErrorHandling()

### produceCpeCheckpoint

    public static CpeCheckpoint produceCpeCheckpoint()

### produceCasProcessorDeploymentParams

    public static CasProcessorDeploymentParams produceCasProcessorDeploymentParams()

### produceCasProcessorExecArg

    public static CasProcessorExecArg produceCasProcessorExecArg()

### produceCasProcessorExecutable

    public static CasProcessorExecutable produceCasProcessorExecutable()

### produceRunInSeperateProcess

    public static CasProcessorRunInSeperateProcess produceRunInSeperateProcess()

### produceCasProcessorConfigurationParameterSettings

    public static CasProcessorConfigurationParameterSettings produceCasProcessorConfigurationParameterSettings()

### produceNameValuePair

    public static NameValuePair produceNameValuePair()

### produceSofaMapping

    public static CpeSofaMapping produceSofaMapping()

### produceSofaMappings

    public static CpeSofaMappings produceSofaMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.